clang 8.0.0

Public Attributes | List of all members
CXSourceRangeList Struct Reference
libclang: C Interface to Clang » Physical source locations

Identifies an array of ranges. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXSourceRangeList:
[legend]

## Public Attributes
unsigned | count
| The number of ranges in the `ranges` array. More...
CXSourceRange * | ranges
| An array of `CXSourceRanges`. More...

## Detailed Description

Identifies an array of ranges.

Definition at line 701 of file Index.h.

## Member Data Documentation

## ◆ count

unsigned CXSourceRangeList::count

The number of ranges in the `ranges` array.

Definition at line 703 of file Index.h.

## ◆ ranges

CXSourceRange* CXSourceRangeList::ranges

An array of `CXSourceRanges`.

Definition at line 707 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h